### Property

# Ide Runner:build-target

#### Declaration

    property build-target: Ide.BuildTarget [ read, write ]

#### Description

The %IdeBuildTarget from which this %IdeRunner was constructed.

This is useful to retrieve various properties related to the program that will be launched, such as what programming language it uses, or whether it’s a graphical application, a command line tool or a test program.

Type: | `IdeBuildTarget`
Available since: | 3.32

Setter method | `ide_runner_set_build_target()`
Getter method | `ide_runner_get_build_target()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no